GET
/api/v1/task/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/task/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
Document the transaction
{
"name": "Document the transaction",
"uuid": "49f6b16c-b13c-4d73-9f5e-09ee8978d1c1",
"author": {
"name": {
"example": "Gareth Thompson",
"collection": false,
"description": "Name"
},
"role": {
"example": "client",
"collection": false,
"description": "Account role"
},
"type": {
"example": "client",
"collection": false,
"description": "Account type"
},
"uuid": {
"example": "97802bee-a3ad-477a-b804-37f099ee9074",
"collection": false,
"description": "The UUID of the resource."
},
"email": {
"example": "gareth@codepotato.co.uk",
"collection": false,
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
},
"last_name": {
"example": "Thompson",
"collection": false,
"description": "Last name"
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"collection": false,
"description": "The photo URL of the client"
},
"created_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"first_name": {
"example": "Gareth",
"collection": false,
"description": "First name"
},
"updated_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"external_references": {
"example": "App\\Http\\Resources\\ExternalReferenceResource",
"collection": true,
"description": "The external references that have been added to the client."
}
},
"due_at": "2021-01-01 00:00:00",
"status": {
"name": "Incomplete",
"uuid": "38b3633d-f64e-453e-9156-698e3bb02d5d",
"colour": "#398898",
"position": 1,
"created_at": "2026-03-18T16:05:26+00:00",
"updated_at": "2026-03-18T16:05:26+00:00",
"is_archived": false,
"is_not_started": false,
"is_type_completed": false
},
"position": 1,
"priority": "high",
"taskable": {
"name": "finance",
"slug": "finance",
"type": "App\\Http\\Resources\\CasesTypeResource",
"uuid": "a47f3046-4628-479e-b962-9dd279fe6d10",
"plans": "App\\Http\\Resources\\Plans\\PlanResource",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
}
},
"status": "App\\Http\\Resources\\CasesStatusResource",
"review_at": "2026-03-18T16:05:26+00:00",
"created_at": "2026-03-18T16:05:26+00:00",
"updated_at": "2026-03-18T16:05:26+00:00",
"group_uuids": [
"a1d7e3ee-ff3e-4977-bbd4-ad0730273875"
],
"completed_at": "2026-03-18T16:05:26+00:00",
"participants": "App\\Http\\Resources\\AccountResource",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"status_position": 4,
"task_board_uuid": "81976224-a9b2-4881-bc09-47b0905c81dd",
"assigned_to_uuids": [
"64b1b8a6-f251-4eb5-8dd9-a0b2ef237e25"
],
"participants_count": 4
},
"created_at": "2026-03-18T16:05:26+00:00",
"updated_at": "2026-03-18T16:05:26+00:00",
"assigned_to": {
"name": {
"example": "Gareth Thompson",
"collection": false,
"description": "Name"
},
"role": {
"example": "client",
"collection": false,
"description": "Account role"
},
"type": {
"example": "client",
"collection": false,
"description": "Account type"
},
"uuid": {
"example": "446f12d9-b3fe-4001-b32a-4fa3c3824ad8",
"collection": false,
"description": "The UUID of the resource."
},
"email": {
"example": "gareth@codepotato.co.uk",
"collection": false,
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
},
"last_name": {
"example": "Thompson",
"collection": false,
"description": "Last name"
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"collection": false,
"description": "The photo URL of the client"
},
"created_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"first_name": {
"example": "Gareth",
"collection": false,
"description": "First name"
},
"updated_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"external_references": {
"example": "App\\Http\\Resources\\ExternalReferenceResource",
"collection": true,
"description": "The external references that have been added to the client."
}
},
"description": "Document the transaction",
"completed_at": "2021-01-01 00:00:00",
"completed_by": {
"name": {
"example": "Gareth Thompson",
"collection": false,
"description": "Name"
},
"role": {
"example": "client",
"collection": false,
"description": "Account role"
},
"type": {
"example": "client",
"collection": false,
"description": "Account type"
},
"uuid": {
"example": "33acfa16-5991-4592-9824-bbc551ce1d27",
"collection": false,
"description": "The UUID of the resource."
},
"email": {
"example": "gareth@codepotato.co.uk",
"collection": false,
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
},
"last_name": {
"example": "Thompson",
"collection": false,
"description": "Last name"
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"collection": false,
"description": "The photo URL of the client"
},
"created_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"first_name": {
"example": "Gareth",
"collection": false,
"description": "First name"
},
"updated_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"external_references": {
"example": "App\\Http\\Resources\\ExternalReferenceResource",
"collection": true,
"description": "The external references that have been added to the client."
}
},
"is_recurring": true,
"custom_fields": [
{
"name": "Favourite Drink",
"type": "string",
"uuid": "c98c016a-618e-4642-84c9-ca814e0300e3",
"value": "Coffee",
"help_text": "This is the client's favourite drink.",
"reference": "favourite_drink",
"created_at": "2026-03-18T16:05:26+00:00",
"updated_at": "2026-03-18T16:05:26+00:00",
"is_required": false,
"selection_options": [
"Coffee",
"Tea",
"Water"
]
}
],
"taskable_type": "case",
"workflow_task": {
"name": {
"example": "Mortgage Review",
"collection": false,
"description": "The name of the task"
},
"tags": {
"example": "App\\Http\\Resources\\TagResource",
"collection": true,
"description": "The tags added to the task."
},
"uuid": {
"example": "c4f58b67-a84a-4c0c-960a-76ace167e203",
"collection": false,
"description": "The UUID of the resource."
},
"author": {
"example": "App\\Http\\Resources\\AccountResource",
"collection": false,
"description": "The author of the task."
},
"groups": {
"example": "App\\Http\\Resources\\GroupResource",
"collection": true,
"description": "The groups that will be added to the task."
},
"parent": {
"example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
"collection": false,
"description": "The parent task."
},
"trigger": {
"example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
"collection": false,
"description": "The task that will trigger this task to be created."
},
"position": {
"example": 2,
"collection": false,
"description": "The task position."
},
"priority": {
"example": "high",
"collection": false,
"description": "The priority level of the task (e.g p1, p2, p3, p4)"
},
"workflow": {
"example": "App\\Http\\Resources\\Board\\WorkflowResource",
"collection": false,
"description": "The workflow that the workflow task belongs to."
},
"sub_tasks": {
"example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
"collection": true,
"description": "The tasks sub tasks."
},
"created_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"updated_at": {
"example": "2026-03-18T16:05:26+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"description": {
"example": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"collection": false,
"description": "The extra description added to a task"
},
"task_status": {
"example": "App\\Http\\Resources\\TaskStatusResource",
"collection": false,
"description": "Task status."
},
"participants": {
"example": "App\\Http\\Resources\\AccountResource",
"collection": true,
"description": "The participants/assignees of the task."
},
"location_uuid": {
"example": "5594e7a9-17ae-46c9-9b59-f99eb540d8d0",
"collection": false,
"description": "The parent task or workflow trigger task this task is a child of."
},
"trigger_tasks": {
"example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
"collection": true,
"description": "The tasks that will be triggered when this task is completed."
},
"is_trigger_task": {
"example": true,
"collection": false,
"description": "Denotes if this is a triggered task."
},
"offset_due_at_by": {
"example": 2,
"collection": false,
"description": "How many days from the day the workflow is run should the due at be set by."
},
"visible_to_clients": {
"example": true,
"collection": false,
"description": "Indicator for if the task is visible to clients."
},
"auto_assign_clients": {
"example": true,
"collection": false,
"description": "Denotes if the task will auto-assign the clients when it is created. If the workflow is run on a case then all the clients on the case will be assigned."
},
"auto_assign_assigned_adviser": {
"example": true,
"collection": false,
"description": "Denotes if the task will auto-assign the assigned adviser / assigned adviser of the client when it is created."
},
"auto_assign_assigned_administrator": {
"example": true,
"collection": false,
"description": "Denotes if the task will auto-assign the administrator of the client when it is created."
}
},
"recurring_last_run": "2026-01-01 00:00:00",
"recurring_next_run": "2026-01-01 00:00:00",
"recurring_frequency": "weekly"
}